Mail archive
alpine-aports

[alpine-aports] [PATCH 1/4] testing/py-colorama: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 3 Nov 2016 19:39:07 +0100

---
 testing/py-colorama/APKBUILD | 54 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 testing/py-colorama/APKBUILD
diff --git a/testing/py-colorama/APKBUILD b/testing/py-colorama/APKBUILD
new file mode 100644
index 0000000..9775876
--- /dev/null
+++ b/testing/py-colorama/APKBUILD
_at_@ -0,0 +1,54 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer:
+pkgname=py-colorama
+_pkgname=${pkgname#py-}
+pkgver=0.3.7
+pkgrel=0
+pkgdesc="Python API for cross-platform colored terminal text"
+url="http://pypi.python.org/pypi/colorama"
+arch="all"
+license="BSD"
+depends=""
+makedepends="python2-dev python3-dev py-setuptools"
+install=""
+subpackages="py3-$_pkgname:_py3 py2-$_pkgname:_py2 $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/tartley/$_pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/examples/
+
+	install -m644 CHANGELOG.rst README.rst \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
+	install -m644 demos/* "$pkgdir"/usr/share/doc/$pkgname/examples \
+		|| return 1
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr \
+		--root="$subpkgdir" --optimize=1 || return 1
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+md5sums="c244b8576e6578dd19345a3d0ee8e295  py-colorama-0.3.7.tar.gz"
+sha256sums="23a8999d95b05a26a6ba62015211b3565cb66c6c40f7884825a07fe192ab90bd  py-colorama-0.3.7.tar.gz"
+sha512sums="d99ad0fc3e53ab3df1b723c308e8367411b355ba3197955a6d81771b03f014600ef84ccbc1ac84b14a74062eb8c27a9f214823fe3c094a392cb7304d9b7d70eb  py-colorama-0.3.7.tar.gz"
-- 
2.10.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Nov 03 2016 - 19:39:07 GMT